Get Sources Hall Of Fame
curl --request GET \
--url https://api.heralded.ai/v1/leaderboards/hall-of-fame/sourcesimport requests
url = "https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"limit": 20,
"meta": {
"data_as_of": null,
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"next_cursor": null,
"offset": 0,
"rows": [],
"total": 0
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than or equal to 1",
"type": "greater_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 60,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Leaderboards
Get Sources Hall Of Fame
Sources’ podium places across current boards. No credential required.
GET
/
v1
/
leaderboards
/
hall-of-fame
/
sources
Get Sources Hall Of Fame
curl --request GET \
--url https://api.heralded.ai/v1/leaderboards/hall-of-fame/sourcesimport requests
url = "https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/leaderboards/hall-of-fame/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"limit": 20,
"meta": {
"data_as_of": null,
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"next_cursor": null,
"offset": 0,
"rows": [],
"total": 0
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than or equal to 1",
"type": "greater_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 60,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Query Parameters
Response
Successful Response